Subject: Re: turn off "LF will be replaced by CRLF" thingy

From: "Zorba" <[email-masked]>
Date: Tue, 30 Dec 2008 00:48:33 -0000

Hi David & thanks for helping me out,

So I tried again to do

$ git add .

this time no warnings about CRLF / LF, in fact no output, so not sure if it 
did anything (though took some time to process)

$ git status

Shows all the files in the index ok, but I don't know if it was the first 
git add or the second (post CRLF=false config change) that put them there 
....

I'd like to be certain, as 500 out of 5000 files could just get changed here 
!

I know I could just delete everything in .git dir, and git init again

But I'm after the intelligent way to do this :-(

<[email-masked]> wrote in message 
news:[email-masked]...
> On Mon, 29 Dec 2008, Zorba wrote:
>
>> Thanks Dmitry,
>>
>> So I have two options to do this - edit the files direct or issue a 
>> command,
>> thank you !
>>
>> Now, my next problem is taking all my changes ($ git add .  -> puts 5k 
>> files
>> into index, with LF in place of CRLF) out of the index.
>>
>> Because I haven't committed anything in this repo yet...
>
> I think if you just do a git add . again it will put the files into the 
> index without doing the conversion.
>
> David Lang
>
>> $ git reset --hard
>>
>> ....falls over, as it has no HEAD to reset to
>>
>> I think I read how to do this in a tutorial somewhere, maybe with
>> git-checkout, but I'm searching and can't find it.
>> Any kind soul can point me in the right direction ?
>>
>> thanks !
>> "Dmitry Potapov" <[email-masked]> wrote in message
>> news:[email-masked]...
>>>> I'd rather not let git change any files, many of which are PHP that run
>>>> on
>>>> Apache
>>>> I think I remember reading that this is a config option that gets
>>>> swithced
>>>> on by default on windows (which we are running git on)
>>>>
>>>> how do I switch it off ?
>>>
>>> git config core.autocrlf false
>>>
>>> or if you want to ensure that all your text files have only LF then
>>>
>>> git config core.autocrlf input
>>>
>>> or if you want to disable conversion for some specific files then you 
>>> can
>>> use 'crlf' attribute. See 'gitattributes' for more information.
>>> http://www.kernel.org/pub/software/scm/git/docs/gitattributes.html
>>>
>>> Dmitry
>>
>>
>>
>> --
>> To unsubscribe from this list: send the line "unsubscribe git" in
>> the body of a message to [email-masked]
>> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>>